import 'package:crp_core/util/Util.dart';

class AuthToken {
  String token;
  String refreshToken;
  String tokenType;
  int expiration;

  Map<String, dynamic> claims;

  AuthToken(
      String token, String refreshToken, String tokenType, int expiration) {
    this.token = token;
    this.refreshToken = refreshToken;
    this.tokenType = tokenType;
    this.expiration = expiration;
    this.claims = Util.decodeClaims(this.token);
  }

  AuthToken.empty();

  factory AuthToken.fromJson(Map<String, dynamic> json) {
    return AuthToken(json['token'], null, json['tokenType'] ?? 'Bearer', null);
  }
}
