import 'package:dio/dio.dart';

class BasicInterceptor extends Interceptor{

  @override
  Future onRequest(RequestOptions options) async{
    print("Realizando uma requisição");
    print(options.data);
    super.onRequest(options);
  }

  @override
  Future onError(DioError err) async{
    print("Error na requisição");
    super.onError(err);
  }

  @override
  Future onResponse(Response response) async{
    print("Recebendo uma Resposta");
    super.onResponse(response);
  }
}