import 'package:crp_core/core/model/Entity.dart';
import 'package:crp_core/default/repository/DefaultRepository.dart';
import 'package:crp_core/http/provider/DioRestProvider.dart';

class DefaultRestRepository<T extends Entity> extends DefaultRepository<T>{

  DefaultRestRepository(jsonEntityCreator, String apiUrl) : super(jsonEntityCreator, DioRestProvider(apiUrl));

}