import 'package:crp_core/core/model/AuthToken.dart';

class JwtToken extends AuthToken {
  JwtToken(token, expiration) : super(token, null, 'Bearer', expiration);

  JwtToken.fromJson(Map<String, dynamic> json)
      : super(json['token'], null, json['tokenType'] ?? 'Bearer',
            json['expiration']);

  Map<String, dynamic> toJson() =>
      {'token': token, 'expiration': expiration, 'tokenType': tokenType};
}
