import 'package:crp_core/core/model/AuthToken.dart';

class OAuthToken extends AuthToken {
  OAuthToken(token, expiration) : super(token, null, 'Bearer', expiration);

  OAuthToken.fromJson(Map<String, dynamic> json)
      : super(json['token'], null, json['tokenType'], json['expiration']);

  Map<String, dynamic> toJson() =>
      {'token': token, 'expiration': expiration, 'tokenType': tokenType};
}
