enum Status { LOADING, COMPLETED, ERROR, WAITING }

class AppResponse<T> {
  Status status;
  int code;
  T body;
  String message;
  dynamic error;

  AppResponse.loading(this.message) : status = Status.LOADING;

  AppResponse.completed(this.body) : status = Status.COMPLETED;

  AppResponse.error(this.message) : status = Status.ERROR;
  AppResponse.errorApi(this.error) : status = Status.ERROR;
}
