import 'package:graphql_flutter/graphql_flutter.dart';

abstract class GraphqlQuery<T> {
  String getTableName();
  QueryOptions fetchQuery();
  QueryOptions fetchQueryById(int id);
  MutationOptions insertMutation(T instance);
  MutationOptions deleteMutation(int id);
  MutationOptions updateMutation(T instance);
}