import 'package:crp_core/util/Util.dart';

class EnvConfig {
  String name;
  String apiUrl;
  String authApiUrl;
  String graphqlUrl;
  String graphqlSecret;

  EnvConfig({String name, String apiUrl, String graphqlUrl, String authApiUrl,
      String graphqlSecret}) {
    this.name = name;
    this.apiUrl = Util.checkApiUrl(apiUrl);
    this.authApiUrl = Util.checkApiUrl(authApiUrl);
    this.graphqlUrl = graphqlUrl;
    this.graphqlSecret = graphqlSecret;
  }
}

class Env {
  EnvConfig config;
  static final Env instance = Env._();

  Env._();

  setEnv(EnvConfig envConfig) {
    config = envConfig;
  }
}
